/**
 * @license
 * Visual Blocks Editor
 *
 * Copyright 2012 Google Inc.
 * https://developers.google.com/blockly/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @fileoverview Colour blocks for Blockly.
 * @author fraser@google.com (Neil Fraser)
 */
'use strict';

goog.provide('Blockly.Blocks.System');

goog.require('Blockly.Blocks');


/**
 * Common HSV hue for all blocks in this category.
 */
Blockly.Blocks.System.HUE = "#6cb7b3";

Blockly.Blocks['System_import'] = {
  /**
   * Block for log setup.
   * @this Blockly.Block
   */
  init: function() {
    this.setColour(Blockly.Blocks.System.HUE);   
    this.appendDummyInput()
        .appendField(Blockly.Msg.SYSTEM_IMPORT);
    // this.setInputsInline(false);
    // this.setOutput(true);
    this.setPreviousStatement(true);
    this.setNextStatement(true);
  },
};

Blockly.Blocks['System_exit'] = {
  /**
   * Block for log setup.
   * @this Blockly.Block
   */
  init: function() {
    this.setColour(Blockly.Blocks.System.HUE); 
    this.appendDummyInput()
        .appendField(Blockly.Msg.SYSTEM_EXIT)
        .appendField(new Blockly.FieldTextInput("1"),"TEXT_INPUT")
    // this.setInputsInline(false);
    // this.setOutput(true);
    this.setPreviousStatement(true);
    this.setNextStatement(true);
  },
};

Blockly.Blocks['System_dot'] = {
  /**
   * Block for log setup.
   * @this Blockly.Block
   */
  init: function() {
    this.setColour(Blockly.Blocks.System.HUE); 
    this.appendValueInput("INPUT1")
        .appendField("")
    this.appendValueInput("INPUT2")
        .appendField(".")
    this.setInputsInline(true);
    this.setOutput(true);
    // this.setPreviousStatement(true);
    // this.setNextStatement(true);
  },
}

